int multiply(int x, int y)
{
  return (int)((long)x * y / 256); // effizienter mit >> 8
}

int divide(int x, int y)
{
  return (int)(256L * x / y);
}

int squareroot(int a)
{
  int x = 256;
  for(int i = 0; i < 10; i++)
  {
    x = multiply(128, x + divide(a, x)); // effizienter mit << 8
  }
  return x;
}

int main( void )
{
  int a = 0x2C0;
  int b = 0x160;
  int c = a + b; // Addition
  int d = a - b; // Subtraktion
  int e = multiply(a, b);
  int f = divide(a, b);
  int g = squareroot(a);
  
  return 0;
}
